#if !defined(__bltstdlg_h)              // Sentry, use file only if it's not already included.
#define __bltstdlg_h

/*  Project bltest
	 
	 Copyright  1994. All Rights Reserved.

	 SUBSYSTEM:    bltest.exe Application
	 FILE:         bltstdlg.h
	 AUTHOR:       


	 OVERVIEW
	 ========
	 Class definition for bltestDlg (TDialog).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "bltstapp.rh"                  // Definition of all resources.
#include <oowl.h>
//{{TDialog = bltestDlg}}
class bltestDlg : public TDialog {
public:
	 bltestDlg (TWindow *parent, TResId resId = IDD_DEMODLG, TModule *module = 0);
	 virtual ~bltestDlg ();

//{{bltestDlgVIRTUAL_BEGIN}}
public:
	 void SetupWindow ();
//{{bltestDlgVIRTUAL_END}}

private:
	 OSession m_session;
	 ODatabase m_database;
	 OBinder m_binder;
	 OBoundEdit *m_e1;
	 OBoundEdit *m_e2;
	 OBoundStatic *m_s1;
	 OBoundCheckBox *m_c1;
	 OBoundCheckBox *m_c2;
	 OBoundRadioButton *m_r1;
	 OBoundRadioButton *m_r2;
	 OBoundRadioButton *m_r3;
	 OBoundRadioButton *m_r4;
	 OBoundRadioButton *m_r5;
	 OBoundGauge *m_gauge;
	 OBoundHSlider *m_slider;

protected:
	void HandleFirst();
	void HandlePrev();
	void HandleNext();
	void HandleLast();
	void HandleConnect();

	DECLARE_RESPONSE_TABLE(bltestDlg);
};    //{{bltestDlg}}

#endif                                      // __bltstabd_h sentry.
